Bug 188450 - httpd can't connect to tomcat5
httpd can't connect to tomcat5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 02:29 EDT by santiago angel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:02:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description santiago angel 2006-04-10 02:29:18 EDT
Description of problem:
httpd can't connect to tomcat5

How reproducible:
if httpd and tomcat5 are configured with mod_proxy_ajp
selinux policies don't allow it
and audit displays an error:

audit(1144648502.551:279): avc:  denied  { name_connect } for  pid=6157
comm="httpd" dest=8009 scontext=user_u:system_r:httpd_t:s0
tcontext=system_u:object_r:port_t:s0 tclass=tcp_socket

basicly httpd can communicate with port 8009 that tomcat5 with ajp use

Steps to Reproduce:
1.configure httpd with mod_proxy_ajp
2.view http://localhost/tomcat
3.in terminal lock the dmesg command output
  
Actual results:
failed 

Expected results:
httpd and tomcat5 communication
Comment 2 Daniel Walsh 2006-05-09 15:49:24 EDT
semanage ports -a -t http_port_t -p tcp 8009

Should fix it.

Should this be a standard http_port_t?
Comment 3 santiago angel 2006-05-09 19:07:53 EDT
i used this to fix it:
setsebool -P httpd_can_network_connect true


but I suggest to include a rule specifies for when apache httpd with tomcat5 and
mod_jk or mod_proxy_ajp is used altogether 
Comment 4 Daniel Walsh 2006-05-10 15:38:27 EDT
Fixed in  2.2.38-2
Comment 5 Daniel Walsh 2007-03-28 16:02:42 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.